SmakeSmake API Docs
Endpoints

Production

Smake Master API — Production

Fetching list of productions.

LIST

Returns a collection of productions.

Filtering

You can filter your results as follows:

List of productions for specific id(s)
  • /productions?filter[id]=1
  • /productions?filter[id]=1,2,3
List of productions for specific handle(s)
  • /productions?filter[handle]=B
  • /productions?filter[handle]=B,I

See: Pagination, Filtering

Example of fetching production list

Request

GET /productions HTTP/1.1

Response

{
  "data": [
    {
      "id": 1,
      "name": "New Production",
      "handle": "new-unique-handle",
      "is_active": true,
      "timezone": "Europe/Berlin",
      "production_methods": [
        {
          "id": 3,
          "handle": "additional-instruction",
          "collection_name": "additional-instruction",
          "name": {
            "de": "Zusätzliche Anweisung",
            "en": "Additional instruction",
            "nl": "Bijkomende instructie",
            "fr": "Instruction supplémentaire",
            "ar": "تعليمات إضافية",
            "sv": "Ytterligare instruktioner",
            "pl": "Dodatkowy instruktaż",
            "tr": "Ek talimatlar",
            "es": "Instrucciones adicionales",
            "ko": "추가 지침",
            "ja": "追加的な指示",
            "it": "Ordine aggiuntivo",
            "cs": "Dodatečně přidělení",
            "da": "Yderligere instruktioner",
            "sk": "Doplňujúca inštrukcia",
            "hu": "További utasítás"
          },
          "is_available": true,
          "has_presorting": false,
          "use_presorting": false,
          "created_at": "2026-01-30T10:07:14+00:00",
          "updated_at": "2026-01-30T10:07:14+00:00"
        },
        {
          "id": 5,
          "handle": "dtf",
          "collection_name": "dtf",
          "name": {
            "de": "Direct-to-Film",
            "en": "Direct to Film",
            "nl": "Direct-to-Film",
            "fr": "Direct-to-Film",
            "ar": "الطباعة على الشريحة",
            "sv": "Direct-to-Film",
            "pl": "Direct-to-Film",
            "tr": "DTF (Direct to Film) baskı",
            "es": "Direct-to-Film",
            "ko": "다이렉트 투 필름(Direct-to-Film)",
            "ja": "Direct to Film(フィルム印刷)",
            "it": "Direct-to-Film",
            "cs": "Direct to Film",
            "da": "Direct-to-Film",
            "sk": "Direct-to-Film",
            "hu": "Fólianyomtatás (DTF)"
          },
          "is_available": true,
          "has_presorting": false,
          "use_presorting": true,
          "created_at": "2026-01-30T10:07:14+00:00",
          "updated_at": "2026-01-30T10:07:14+00:00"
        },
        ...
      ]
    }
  ],
  "links": {
    "first": null,
    "last": null,
    "prev": null,
    "next": null
  },
  "meta": {
    "path": "https://api.smake.io/master-administration/productions",
    "per_page": 15,
    "next_cursor": null,
    "prev_cursor": null
  }
}

GET

Returns a production with the given id = x.

Example of fetching specified production information

Request

GET /productions/1 HTTP/1.1

Response

{
  "id": 1,
  "name": "New Production",
  "handle": "new-unique-handle",
  "is_active": true,
  "timezone": "Europe/Berlin",
  "production_methods": [
    {
      "id": 5,
      "handle": "dtf",
      "collection_name": "dtf",
      "name": {
        "de": "Direct-to-Film",
        "en": "Direct to Film",
        "nl": "Direct-to-Film",
        "fr": "Direct-to-Film",
        "ar": "الطباعة على الشريحة",
        "sv": "Direct-to-Film",
        "pl": "Direct-to-Film",
        "tr": "DTF (Direct to Film) baskı",
        "es": "Direct-to-Film",
        "ko": "다이렉트 투 필름(Direct-to-Film)",
        "ja": "Direct to Film(フィルム印刷)",
        "it": "Direct-to-Film",
        "cs": "Direct to Film",
        "da": "Direct-to-Film",
        "sk": "Direct-to-Film",
        "hu": "Fólianyomtatás (DTF)"
      },
      "is_available": true,
      "has_presorting": false,
      "use_presorting": true,
      "created_at": "2026-01-30T10:07:14+00:00",
      "updated_at": "2026-01-30T10:07:14+00:00"
    },
    ...
  ],
  "workflow_type": "default"
}

CREATE

Create a new Production.

Parameters for creating a production

FieldTypeDescriptionRequired
handlestringA unique handle for the new productionYes
namestringThe name of the ProductionNo
timezonestringIndicates the timezone of productionYes

Example of creating a new production

Request

POST /productions HTTP/1.1

{
    "handle": "unique-handle",
    "name":"New Production",
    "timezone": "Europe/Berlin"
}

Response

{
  "id": 7,
  "name": "New Production",
  "handle": "new-unique-handle",
  "is_active": false,
  "timezone": "Europe/Berlin",
  "production_methods": [
    {
      "id": 5,
      "handle": "dtf",
      "collection_name": "dtf",
      "name": {
        "de": "Direct-to-Film",
        "en": "Direct to Film",
        "nl": "Direct-to-Film",
        "fr": "Direct-to-Film",
        "ar": "الطباعة على الشريحة",
        "sv": "Direct-to-Film",
        "pl": "Direct-to-Film",
        "tr": "DTF (Direct to Film) baskı",
        "es": "Direct-to-Film",
        "ko": "다이렉트 투 필름(Direct-to-Film)",
        "ja": "Direct to Film(フィルム印刷)",
        "it": "Direct-to-Film",
        "cs": "Direct to Film",
        "da": "Direct-to-Film",
        "sk": "Direct-to-Film",
        "hu": "Fólianyomtatás (DTF)"
      },
      "is_available": false,
      "has_presorting": false,
      "use_presorting": true,
      "created_at": "2026-01-30T10:07:14+00:00",
      "updated_at": "2026-01-30T10:07:14+00:00"
    },
    ...
  ],
  "workflow_type": null
}

UPDATE

Update an existing Production.

Parameters for updating a production

FieldTypeDescriptionRequired
handlestringThe new handle for the productionYes
namestringThe new name for the productionYes
is_activebooleanIndicates whether the production is set to activeYes
timezonestringIndicates the timezone of production. to get the avialble timezons please see Timezones.No

Example of updating an existing production

Request

PATCH /productions/1 HTTP/1.1

{
    "handle": "new-unique-handle",
    "name": "New Production",
    "is_active": true,
    "timezone": "Europe/Berlin"
}

Response

{
  "id": 1,
  "name": "Production New",
  "handle": "unique-handle-new",
  "is_active": true,
  "timezone": "Europe/Berlin",
  "production_methods": [
    {
      "id": 5,
      "handle": "dtf",
      "collection_name": "dtf",
      "name": {
        "de": "Direct-to-Film",
        "en": "Direct to Film",
        "nl": "Direct-to-Film",
        "fr": "Direct-to-Film",
        "ar": "الطباعة على الشريحة",
        "sv": "Direct-to-Film",
        "pl": "Direct-to-Film",
        "tr": "DTF (Direct to Film) baskı",
        "es": "Direct-to-Film",
        "ko": "다이렉트 투 필름(Direct-to-Film)",
        "ja": "Direct to Film(フィルム印刷)",
        "it": "Direct-to-Film",
        "cs": "Direct to Film",
        "da": "Direct-to-Film",
        "sk": "Direct-to-Film",
        "hu": "Fólianyomtatás (DTF)"
      },
      "is_available": true,
      "has_presorting": false,
      "use_presorting": true,
      "created_at": "2026-01-30T10:07:14+00:00",
      "updated_at": "2026-01-30T10:07:14+00:00"
    },
    ...
  ],
  "workflow_type": "default"
}

On this page